mscorlib 2.0.0.0 4.0.0.0 System.ValueType System.IDisposable

An execution context contains all execution-related information for a logical thread. The flow of the execution context to other threads can be prevented by using the method, which returns an structure. The method of the returned structure can be used to undo the flow suppression. The structure must be used on the same thread on which it was created.

Provides the functionality to restore the migration, or flow, of the execution context between threads.

- Method
  4.0.0.0
  System.Void

  Call Dispose when you are finished using the . The Dispose method leaves the in an unusable state. After calling Dispose, you must release all references to the so the garbage collector can reclaim the memory that the was occupying.

  For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call Dispose before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by the current instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the specified object is equal to the current structure.

  true if is an structure and is equal to the current structure; otherwise, false.

  An object to compare with the current structure.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the specified structure is equal to the current structure.

  true if is equal to the current structure; otherwise, false.

  An structure to compare with the current structure.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Gets a hash code for the current structure.

  A hash code for the current structure.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Compares two structures to determine whether they are equal.

  true if the two structures are equal; otherwise, false.

  An structure. An structure.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Compares two structures to determine whether they are not equal.

  true if the structures are not equal; otherwise, false.

  An structure. An structure.
- Method
  System.Void

  This method calls the method to restore the associated to its previous state.

  Releases all resources used by the .

  2.0.0.0
- Method
  2.0.0.0
  4.0.0.0
  System.Void

  The method returns an structure that is used to restore the flow.

  The method must be called only on the structure returned by its associated method.

  Restores the flow of the execution context between threads.